using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.HM
{
    /// <summary>
    /// 作业任务识别附件
    /// </summary>
    [Description("作业任务识别附件")]
    public class T_HM_OPERATION_TASK_DISTINGUISH_FILE : MesEntityBase
    {
        /// <summary>
        /// 作业任务识别表
        /// </summary>
        [Description("作业任务识别表")]
        [DataFieldForeignKey("Nav_OperationTaskDistinguish", "Nav_Files")]
        public Guid OPERATION_TASK_DISTINGUISH_ID { get; set; }

        [Description("图片文件ID")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid IMG_FILE_ID { get; set; }
        /// <summary>
        /// 导航：作业任务识别表
        /// </summary>
        [Description("导航：作业任务识别表")]
        public virtual T_HM_OPERATION_TASK_DISTINGUISH Nav_OperationTaskDistinguish { get; set; }

        /// <summary>
        /// 图片文件表
        /// </summary>
        [Description("导航：图片文件表")]
        public virtual T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
